/***************************************************************************
                          userpicturesdialog.h  -  description
                             -------------------
    begin                : Fri Jul 7 2008
    copyright            : (C) 2008 by Antonio Nastasi
    email                : sifcenter@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef USERPICTURESDIALOG_H
#define USERPICTURESDIALOG_H

#include "ui_userpicturesdialog.h"

#include <QWidget>


/**
 *
 * @author Antonio Nastasi
 * @ingroup Dialogs
 */
class UserPicturesDialog : public QWidget, private Ui::UserPicturesDialog
{
  Q_OBJECT

  public:
              // Constructor
              UserPicturesDialog( QWidget *parent = 0 );
               // Destructor
              ~UserPicturesDialog();
    // Update the widgets
    void      updateWidgets( const QString &handle );

  private slots:
    // Delete button was clicked
    void      deleteButtonClicked();
    // Current item was changed
    void      slotItemSelectionChanged();
    // Use button was clicked
    void      useButtonClicked();

  private: // private attributes
    QString   handle_;

  signals:
    void      pictureUpdate( bool resize, QString picture );
};

#endif
