/**
 * KMess configuration file
 *
 * The value for these defines is controlled by CMake at configuration time.
 * NOTE: This file needs to be written in C, as it will be included by C source files too.
 */

/* Define the application version */
#define KMESS_VERSION "2.0alpha-svn ( >= 20080713)"

/* Define if debug output should be enabled */
#define KMESS_DEBUG 1

/* Define if the Relocatable Binary support should be enable */
#define ENABLE_BINRELOC 0

/* Define the fallback prefix */
#define KMESS_PREFIX "/usr"

/* Define if you have the XScreenSaver extension */
#define HAVE_XSCREENSAVER 1

/* Define if you have KPhone installed (for SIP voice chat) (currently unused) */
/* #define HAS_KPHONE 1 */
